import { Method, AxiosResponse } from 'axios';
import { Charges } from './resources/Charges';
import { Customers } from './resources/Customers';
import { Schedules } from './resources/Schedules';
import { Search } from './resources/Search';
export declare type ClientConfig = {
    apiSecretKey: string;
    omiseAPIVersion?: string;
};
export declare class Client {
    private apiSecretKey;
    private omiseAPIVersion;
    charges: Charges;
    customers: Customers;
    schedules: Schedules;
    search: Search;
    constructor({ apiSecretKey, omiseAPIVersion }: ClientConfig);
    request<TResponse, TData = any>({ method, path, data, params, }: {
        method: Method;
        path: string;
        data?: TData;
        params?: any;
    }): Promise<AxiosResponse<TResponse>['data']>;
}
