import type { Client } from '../Client';
import * as Types from '../types';
export declare class Schedules {
    protected client: Client;
    constructor(client: Client);
    /**
     * Retrieves a schedule.
     * @param scheduleId
     * @returns Promise<ISchedule>
     */
    retrieve(scheduleId: string): Promise<Types.Schedules.ISchedule>;
    /**
     * Creates a schedule.
     * @param scheduleData
     * @returns Promise<ISchedule>
     */
    create(scheduleData: Types.Schedules.ICreateSchedule): Promise<Types.Schedules.ISchedule>;
    /**
     * Deletes a schedule.
     * @param scheduleId
     * @returns Promise<ISchedule>
     */
    destroy(scheduleId: string): Promise<Types.Schedules.ISchedule>;
}
