"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Schedules = void 0;
var constants_1 = require("../constants");
var Schedules = /** @class */ (function () {
    function Schedules(client) {
        this.client = client;
    }
    /**
     * Retrieves a schedule.
     * @param scheduleId
     * @returns Promise<ISchedule>
     */
    Schedules.prototype.retrieve = function (scheduleId) {
        return this.client.request({
            method: 'get',
            path: "".concat(constants_1.SCHEDULES_RESOURCE, "/").concat(scheduleId),
        });
    };
    /**
     * Creates a schedule.
     * @param scheduleData
     * @returns Promise<ISchedule>
     */
    Schedules.prototype.create = function (scheduleData) {
        return this.client.request({
            method: 'post',
            path: constants_1.SCHEDULES_RESOURCE,
            data: scheduleData,
        });
    };
    /**
     * Deletes a schedule.
     * @param scheduleId
     * @returns Promise<ISchedule>
     */
    Schedules.prototype.destroy = function (scheduleId) {
        return this.client.request({
            method: 'delete',
            path: "".concat(constants_1.SCHEDULES_RESOURCE, "/").concat(scheduleId),
        });
    };
    return Schedules;
}());
exports.Schedules = Schedules;
