import type { Client } from '../Client';
import { PaginationParams } from '../constants';
declare type Scope = 'charge' | 'charge_schedule' | 'customer' | 'dispute' | 'link' | 'recipient' | 'refund' | 'transfer' | 'transfer_schedule' | 'transaction' | 'fund_account';
export declare class Search {
    protected client: Client;
    constructor(client: Client);
    /**
     * Performs a search query.
     * @param searchParams
     * @returns Promise<any>
     */
    list(params: {
        scope: Scope;
        query: string;
        filters?: {
            [key: string]: any;
        };
        order?: PaginationParams['order'];
        page?: number;
        per_page?: number;
    }): Promise<any>;
}
export {};
